## mx-rofi-manager 24.03.01

=== translations_script/Makefile ===
#!/usr/bin/make -f

PKGNAM := mx-rofi-manager
BUILD  := ././build
PO_DIR := ./po
XDGDIR := ../xdg

LCMSGS := LC_MESSAGES/$(PKGNAM).mo

DESKTOP_IN := $(wildcard $(XDGDIR)/*.desktop.in)
DESKTOP    := $(addprefix $(BUILD)/xdg/,$(notdir $(basename $(DESKTOP_IN))))

ifneq ($(strip $(LINGUAS)),)
  LINGUAS := $(sort $(LINGUAS))
  $(file >$(PO_DIR)/LINGUAS)
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
else ifneq ($(wildcard $(PO_DIR)/LINGUAS),)
  LINGUAS := $(sort $(strip $(shell grep '^[[:space:]]*[a-z]' $(PO_DIR)/LINGUAS)))
else
  LINGUAS := $(sort $(basename $(notdir $(wildcard $(PO_DIR)/*.po))))
  $(foreach po,$(LINGUAS),$(file >>$(PO_DIR)/LINGUAS,$(po)))
endif

LOCALE := $(addprefix $(BUILD)/locale/,$(addsuffix /$(LCMSGS),$(LINGUAS)))

all: clean locale desktop

locale: $(LOCALE)

$(BUILD)/locale/%/$(LCMSGS): $(PO_DIR)/%.po
	@mkdir -p $(BUILD)/locale/$*/LC_MESSAGES
	@echo "  " $@ 
	@msgfmt $< -o $@ 

desktop: $(DESKTOP)

$(BUILD)/xdg/%.desktop: $(XDGDIR)/%.desktop.in
	@mkdir -p $(BUILD)/xdg
	@echo "  " $@ 
	msgfmt --desktop --template $< -d $(PO_DIR) -o $@ 
	@sed -i '/^#/d' $@
	@sed -i 's/\[${PKGNAM}_/\[/' $@

clean:
	-@rm  -f $(DESKTOP)
	-@rm -rf $(BUILD)

.PHONY: all clean locale desktop

## mx-rofi-manager 22.12.16

=== debian/changelog ===
mx-rofi-manager (22.12.16) mx; urgency=medium

  * corrected errors in translation strings
  * this is Final

 -- Jerry <jb@mx>  Thu, 15 Dec 2022 18:09:53 -0500

mx-rofi-manager (22.12.15) mx; urgency=medium

  * repaired translation string, a Final build

 -- Jerry <jb@mx>  Wed, 14 Dec 2022 17:49:59 -0500

mx-rofi-manager (22.12.14) mx; urgency=medium

  * corrected domain in script, added categories-help

 -- Jerry <jb@mx>  Wed, 14 Dec 2022 07:52:15 -0500

mx-rofi-manager (22.12.13) mx; urgency=medium

  * corrected for new location extra-themes
  * test of Final with localization

 -- Jerry <jb@mx>  Tue, 13 Dec 2022 20:21:42 -0500

mx-rofi-manager (22.12.12) mx; urgency=medium

  * added code for rofi to run as F2 runbox
  * added upgraded MX-run.rasi"
  * added extra theme "cappuccin-mocha-mx"
  * final cleanup and changes for RC2

 -- Jerry <jb@mx>  Mon, 12 Dec 2022 18:45:23 -0500

mx-rofi-manager (22.12.01) mx; urgency=medium

  * added new MX theme "dracula"
  * made rofi-help executable
  * upgraded version to 15
  * added new MX theme "run" to replace fbrun
  * tweaked multiple themes, etc.
  * removed mxcr icons
  * revised change rofi tab to clarify settings
  * final changes for RC release

 -- Jerry <jb@mx>  Thu, 01 Dec 2022 05:41:02 -0500

mx-rofi-manager (22.11.18) mx; urgency=medium

  * final changes for new test buile

 -- Jerry <jb@mx>  Thu, 17 Nov 2022 17:34:06 -0500

mx-rofi-manager (22.11.17) mx; urgency=medium

  * Initial release. (Closes: #XXXXXX)
  * Updated translation files

 -- Jerry <jb@mx>  Thu, 17 Nov 2022 17:19:57 -0500

=== debian/control ===
Source: mx-rofi-manager
Section: desktop
Priority: optional
Maintainer: Jerry3904<jerry@mxlinux.org>
Build-Depends: debhelper (>= 9.20120115)
Standards-Version: 3.9.6
Homepage: https:/mxlinux.org

Package: mx-rofi-manager
Architecture: all
Depends: yad 
Recommends: rofi, rofi-calc
Breaks: mxfb-goodies (<< 22.08.26), mxfb-accessories (<<22.11.06)
Conflicts: mxfb-goodies (<< 22.08.26), mxfb-accessories (<<22.11.06)  
Replaces: 
Description: Manager of rofi themes and settings

## mx-rofi-manager 22.12.17

=== debian/changelog ===
mx-rofi-manager (22.12.17) mx; urgency=medium

  * updated the control file to change recommended to depends

 -- Jerry <jb@mx>  Fri, 16 Dec 2022 09:16:49 -0500

## mx-rofi-manager 23.05.01

=== debian/changelog ===
mx-rofi-manager (23.05.01) mx; urgency=medium

  [ Jerry ]
  * created 3 additional tabs
  * extended x and y offset to 500
  * used consistent case for "rofi" on main screen

  [ Dolphin Oracle ]
  * new builds

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 23 May 2023 23:37:09 -0400

mx-rofi-manager (22.12.21) mx; urgency=medium

  * corrected rofi-help for new release 

 -- Jerry <jb@mx>  Wed, 21 Dec 2022 06:14:02 -0500

## mx-rofi-manager 23.05.24

=== debian/changelog ===
mx-rofi-manager (23.05.24) mx; urgency=medium

  * changed desktop file to match naming pattern
  * created help-rofi_appfinder
  * MX-23 Fluxbox beta buile

 -- Jerry <jb@mx>  Wed, 24 May 2023 20:08:47 -0400

mx-rofi-manager (23.01.02) mx; urgency=medium

  * created 3 additional tabs
  * extended x and y offset to 500
  * used consistent case for "rofi" on main screen

 -- Jerry <jb@mx>  Mon, 02 Jan 2023 11:22:01 -0500

## mx-rofi-manager 23.05.26

=== debian/changelog ===
mx-rofi-manager (23.05.26) mx; urgency=medium

  * created script for so appfinder help would function

 -- Jerry <jb@mx>  Fri, 26 May 2023 07:58:26 -0400

## mx-rofi-manager 23.06.07

=== debian/changelog ===
mx-rofi-manager (23.06.07) mx; urgency=medium

  * updated appfinder help tab and text for new app
  * revised rofi-help_appfinder
  * removed unnecessary rofi files

 -- Jerry <jb@mx>  Wed, 07 Jun 2023 12:31:28 -0400

## mx-rofi-manager 23.06.13

=== debian/changelog ===
mx-rofi-manager (23.06.13) mx; urgency=medium

  * rofi-help_appfinder - changed settings icon

 -- Jerry <jb@mx>  Tue, 13 Jun 2023 15:43:29 -0400

## mx-rofi-manager 23.06.29

=== debian/changelog ===
mx-rofi-manager (23.06.29) mx; urgency=medium

  * include translations in rofi-help_appfinder
  * ready for RC

 -- Jerry <jb@mx>  Thu, 29 Jun 2023 08:35:55 -0400

## mx-rofi-manager 24.01.01

=== debian/changelog ===
mx-rofi-manager (24.01.01) mx; urgency=medium

  * fix for non-mxfb installation
  * update icon

 -- Melber <melber.mx.linux@gmail.com>  Wed, 31 Jan 2024 22:22:01 +0100

## mx-rofi-manager 24.03.01

=== debian/changelog ===
mx-rofi-manager (24.03.01) mx; urgency=medium

  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Mar 2024 14:00:32 -0400

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 Package: mx-rofi-manager
 Architecture: all
-Depends: yad 
-Recommends: rofi, rofi-calc
+Depends: yad, rofi, rofi-calc  
 Breaks: mxfb-goodies (<< 22.08.26), mxfb-accessories (<<22.11.06)
 Conflicts: mxfb-goodies (<< 22.08.26), mxfb-accessories (<<22.11.06)  
 Replaces:

## mx-rofi-manager 24.03.01+nmu1

=== debian/changelog ===
mx-rofi-manager (24.03.01+nmu1) mx; urgency=medium

  * Non-maintainer upload.
  * add category X-MXFB-Tools

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 14 Feb 2025 16:25:34 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: desktop
 Priority: optional
 Maintainer: Jerry3904<jerry@mxlinux.org>
-Build-Depends: debhelper (>= 9.20120115)
+Build-Depends: debhelper (>= 12)
 Standards-Version: 3.9.6
 Homepage: https:/mxlinux.org

## mx-rofi-manager 25.08.01

=== debian/changelog ===
mx-rofi-manager (25.08.01) mx; urgency=medium

  * new themes and update for MX25
  * changed maintainer

 -- Melber <melber-mx-linux@gmail.com>  Tue, 26 Aug 2025 22:52:03 +0100

mx-rofi-manager (24.03.01+nmu3) mx; urgency=medium

  * Non-maintainer upload.
  * add category X-MXFB-Tools
  * corrections to appfinder-settings

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 23 Feb 2025 11:25:03 -0500

## mx-rofi-manager 25.11.01

=== debian/changelog ===
mx-rofi-manager (25.11.01) mx; urgency=medium

  * check function fix

 -- Melber <melber-mx-linux@gmail.com>  Sat, 01 Nov 2025 00:32:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mx-rofi-manager
 Section: desktop
 Priority: optional
-Maintainer: Jerry3904<jerry@mxlinux.org>
-Build-Depends: debhelper (>= 12)
+Maintainer: Melber <melber.mx.linux@gmail.com>
+Build-Depends: debhelper (>= 9.20120115)
 Standards-Version: 3.9.6
 Homepage: https:/mxlinux.org
